Jump to content

Обновление 3.4.2 на 3.4.5


LeoniChe
 Share

Recommended Posts

Будте добры, подскажите!

Пробую обновиться с 3.4.2 на 3.4.5 действую по инструкции. Но видимо что-то делаю не так.

Выкладываю архивы с IPB 3.4.5 и IP.C 2.4.6 в папку "uploads", а когда захожу "admin/upgrade/" то не могу поставить галочку... Нет ее. Пишет "Up To Date"

 

post-52737-0-16433000-1372016292_thumb.jpg

Link to comment
Share on other sites

Обратите внимание

У вас некорректно заполнено обязательное поле профиля "Board url" (недопустимые символы для URL). Пожалуйста, исправьте его, потому что оно скорее всего потребуется при диагностике вашей проблемы.

Link to comment
Share on other sites

Какие архивы... Содержимое папки /uploads/ из дистрибутива (архива) закачать поверх форума. Далее запустить обновление. То же самое касается и остальных модулей.

Link to comment
Share on other sites

Интересно - где вы такую инструкцию нашли.)

Я бы еще бекапы движка и базы сделал предварительно, на вашем месте.

Link to comment
Share on other sites

Обновление.

1. Отключаем форум

2. Полный бэкап (файлы + БД)

3. В корень заливаем файлы дистрибутива (если директория admin переименована, то в дистрибутиве её необходимо также переименовать и поправить адрес в initdata; файл config_global не перезаписывать)

4. заходим в acp

5. используя мастер выполняем обновление (логин/пароль - ваши форумные логин и пароль)

6. после завершения обновления система предложит перестроить кеш и т.п.

7. включаем форум

8. Проверяем

9. Пользуемся

 

Также с дистрибутивом идёт утилита upgradeFinish

В директории ац создаём директорию upgradeFinish

Идём по адресу /ваш форум/админцентр/upgradeFinish

После завершения данную директорию необходимо удалить

 

+ если хостинг слабый на ресурсы, то обновление выполняем на локалхосте (в php.ini ставим побольше ресурсов)

если не уверены потянет хостинг или нет - способ проверки один (бэкап, поднимаем на поддомене, пробуем обновить)

 

возможные проблемы после обновления чаще всего несовместимость скинов (перед обновлением обязательно делаем дефолтным базовый скин!), компонентов и хуков

перед обновлением обязательно побеспокоиться о скинах под новую версию (под старую скорее всего будут "косячить")

с хуками и компонентами - как повезёт (если несовместимы, то скорее всего не будут работать)

 

И довольно часто обновление лишняя головная боль (если всё прекрасно работает, то решайте сами стоит ли гоняться "за цифрами")

В большинстве случаев достаточно раз в год обновлять(а если нестандартный скин, то и того реже)

Довольно много крупных форумов прекрасно работают на 2.3 и не особо спешат обновляться......

  • Upvote 3
Link to comment
Share on other sites

Довольно много крупных форумов прекрасно работают на 2.3 и не особо спешат обновляться......

 

Мсье знает толк в извращениях..

Link to comment
Share on other sites

Мсье знает толк в извращениях..

 

при чём тут извращения? - зайди на практичесуи любой форум ISP и увидишь 2.3

он работает?

да!

проблем нет?

нет!

зачем обновлять?

Link to comment
Share on other sites

Могу назвать несколько причин:

- Антиспам сервис от IPS.

- Продвинутый RTE/LTE редактор, а не то убожество, которое стоит на 2.3.6.

- Наличие инсталлируемых аддонов, как официальных, так и пользовательских, которые устанавливаются нажатием зелененькой гламурной кнопочки, а не по принципу "откройте файл, блин, найдите строку, замените на"...

 

И так далее. Список можно продолжить.

Link to comment
Share on other sites

ога тоже список:

-аддоны вообще не упали

-антиспам сервис - толку от него

редактор - пипл хавает и довольны и категорически против перехода на "тройку"

+ пользователям форума больше интересно сообщество и контент, а не доп. возможности админа (например архивация / вход под пользователем . простота установки хуков и т.п)

когда-то я тоже считал, что обновление это гуд для юзеров; но реально им эти апдейты " не упали" (юзерам более привычно без них - привыкли к дизайну как минимум)

возьми для примера форум на бесплатном сервисе (phobb + какой-то самопис) с 200 униками; сконвертируй в ipb - естественно завтра не станет 400 уников (более того часть из 200 новый движок просто отпугнёт)

Link to comment
Share on other sites

Что-то я не припомню нормальной галереи и нормального IP.Downloads на 2.3.6.

Остальное понимаю, где-то даже принимаю, осознаю, сочувствую, называю это тормозом прогресса, не путаю это с моим желанием оставаться на Windows XP... Мой поезд уже далеко ушёл с 2.3.6.

Потом, новые баги и их исправление командой IPS - это же так интересно. Работают люди, стараются.

А можно встречный вопрос: а форумы как класс еще кого-то вообще привлекают на западе? А то такое ощущение, что форумами пользуются только нуллевщики из стран восточного блока.

А в плане сделать сайт для себя и с контентом, 3.4.х - это просто супер и по цене и по поддержке. Я помню, как я платил деньги за допиливание 2.3.6 фрилансерам. Наверное, косарь баксов ушло на него. Может больше. Больше этого не хочу. Сейчас многое из того уже реализовано в официальных файлах.

 

А про антиспам сервис - это вы зря. Хорошая штука.

Edited by Zero108
Link to comment
Share on other sites

  • 4 weeks later...

а можете подробней точнее я не знаю что такой ац(если база данных) то где там обновлять кеш? опиши или сделай статью пожалуйста очень нужно а то не могу обновится:(

а то у меня ошибки выдает такие когда я захожу по адресу /admin/urprade

 

mySQL query error: create table MYISAMcache_store (
					  cs_key varchar(255) NOT NULL default '',
					  cs_value text NULL,
					  cs_extra varchar(255) NOT NULL default '',
					  PRIMARY KEY(cs_key)
					);

SQL error: Table 'myisamcache_store' already exists
SQL error code: 1050
Date: Thursday 18th July 2013 10:50:54 AM


----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Date: Thu, 18 Jul 2013 10:50:54 +0000
Error: 1050 - Table 'myisamcache_store' already exists
IP Address: 46.63.211.184 - /admin/upgrade/
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
mySQL query error: create table MYISAMcache_store (
					  cs_key varchar(255) NOT NULL default '',
					  cs_value text NULL,
					  cs_extra varchar(255) NOT NULL default '',
					  PRIMARY KEY(cs_key)
					);
.--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
| File                                                                       | Function                                                                      | Line No.          |
|----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------|
| admin/setup/sources/base/ipsRegistry_setup.php                             | [ips_CacheRegistry]._loadCaches                                               | 1677              |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/setup/sources/base/ipsRegistry_setup.php                             | [ips_CacheRegistry].init                                                      | 1512              |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/setup/sources/base/ipsRegistry_setup.php                             | [ips_CacheRegistry].instance                                                  | 286               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'

Link to comment
Share on other sites

АЦ - админцентр или панель управления администратора. Ссылка на самом верху окна браузера, когда администратор форума авторизован.

 

Кеш обновляется для скинов: вкладка Look & Feel наверху окна админцентра, далее Template tools > Recache Skin Sets.

Кеш обновляется во вкладке System, затем ищите в левом столбике меню блок Tools & Settings и в нём ищите ссылку ссылку Cache Management, далее кнопка Recache All.

Edited by Zero108
Link to comment
Share on other sites

я в админцентр даже не могу зайти, так как файлы заменил, это получается надо назад копию делать и там все обновлять кеши? и опять заного заливать?

и + когда еще обновляешся шаблон должен по молчанию обязательно стоять стандартный или нет?

Edited by 26_RUSSS
Link to comment
Share on other sites

При чем здесь кеш стилей, стесняюсь спросить? Это временная таблица, не отработал скрипт до конца с прошлого обновления, возможно у mysql-пользователя нет прав на удаление таблиц. Зайдите в phpMyAdmin и удалите myisamcache_store (отредактируйте права пользователя, при необходимости).

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...